diff a/src/hotspot/share/oops/method.inline.hpp b/src/hotspot/share/oops/method.inline.hpp
--- a/src/hotspot/share/oops/method.inline.hpp
+++ b/src/hotspot/share/oops/method.inline.hpp
@@ -33,10 +33,18 @@
 
 inline address Method::from_compiled_entry() const {
   return Atomic::load_acquire(&_from_compiled_entry);
 }
 
+inline address Method::from_compiled_inline_ro_entry() const {
+  return Atomic::load_acquire(&_from_compiled_inline_ro_entry);
+}
+
+inline address Method::from_compiled_inline_entry() const {
+  return Atomic::load_acquire(&_from_compiled_inline_entry);
+}
+
 inline address Method::from_interpreted_entry() const {
   return Atomic::load_acquire(&_from_interpreted_entry);
 }
 
 inline nmethod* Method::code() const {
